<template>
    <div>
        <chart :id="id" :type="type" :name="name"></chart>
    </div>
</template>
<script>
import chart from './components/echarts.vue'
export default{
    components:{
        chart
    },
    data() {
        return {
            
        }
    },
    computed:{
        //产品或者产品类别id
        id(){
            return this.$route.query.id
        },
        //趋势图类型2是产品，1是产品类别
        type(){
            return this.$route.query.type
        },
        //产品或者产品类别名称
        name(){
            return this.$route.query.name
        }
    }
}
</script>